Page MenuHomePhabricator

Prevent deletion of last gloss in the API
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterAdd ChangeOps for editing senses

Event Timeline

Change 446285 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add ChangeOps for editing senses

https://gerrit.wikimedia.org/r/446285

Change 446285 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add ChangeOps for editing senses

https://gerrit.wikimedia.org/r/446285

hoo removed a project: Patch-For-Review.
hoo added a subscriber: hoo.

This works:

{
    "errors": [{
        "code": "unprocessable-request",
        "data": {
            "messages": [{
                "name": "wikibaselexeme-api-error-sense-must-have-at-least-one-gloss",
                "parameters": [],
                "html": {
                    "*": "Sense must have at least one gloss"
                }
            }]
        },
        "module": "main",
        "*": "Sense must have at least one gloss"
    }],
    "*": "See http://localhost/wiki/wikidatawiki/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes."
}
Lydia_Pintscher closed this task as Resolved.Jul 26 2018, 3:55 PM
Lydia_Pintscher claimed this task.

\o/